Fix invalid processor information in usergent string for Safari4+

Review Request #118407 - Created May 29, 2014 and submitted

Information
Michael Reeves
kde-baseapps
master
335552
Reviewers
kde-baseapps
When setting the browser inentifaction via settings the user agent strings choosen for safari 5 and safari 4 are imposiable. For selecting Safari 5.1 sends: 
"Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10_7_3; en_US) AppleWebKit/537.13+ (KHTML, like Gecko) Version/5.1.7 Safari/534.57.2 "
Obvoius fake since there is no PPC version of 10.7 in fact there isn't an i386 version either. Same issue with Safari 4.0 selected. Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10_6_1; en_US) AppleWebKit/531.21.10 (KHTML, like Gecko) Version/4.0.4 Safari/531.21.10
 10.6.1 does not exists for PPC, i386 version does exist. Ditto Safari 6.0. I haven't found a site that pays atttention but these user agent codes could be filtered easliy as fakes.
none as yet. Just made minor string changes in the .desktop files. Affects 4.13.x branch as well.
Michael Reeves
Andrea Iacovitti
Andrea Iacovitti
Commit Hook
This review has been submitted with commit 084aebd3524cea5226783957101e82c15d906bfe by Andrea Iacovitti on behalf of Michael Reeves to branch KDE/4.13.
Michael Reeves
Review request changed

Status: Closed (submitted)

Loading...